summaryrefslogtreecommitdiffstats
path: root/testing/source/mozilla-thunderbird/autoconf/autoconf.build
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-08-25 18:59:52 +0000
committer Eric Hameleers <alien@slackware.com>2020-08-26 08:59:56 +0200
commit409d51497d9c01e406ce18cc065a1c35d08f8d97 (patch)
tree367aef1fac8d27d422e660a1154bdd2de526e5b1 /testing/source/mozilla-thunderbird/autoconf/autoconf.build
parent855c3ceaa9f5e68508028608316d973e2068c924 (diff)
downloadcurrent-409d51497d9c01e406ce18cc065a1c35d08f8d97.tar.gz
current-409d51497d9c01e406ce18cc065a1c35d08f8d97.tar.xz
Tue Aug 25 18:59:52 UTC 202020200825185952
a/kernel-firmware-20200824_74bd44f-noarch-1.txz: Upgraded. ap/vim-8.2.1522-x86_64-1.txz: Upgraded. l/libuv-1.39.0-x86_64-1.txz: Upgraded. x/libX11-1.6.12-x86_64-1.txz: Upgraded. x/xorg-server-1.20.9-x86_64-1.txz: Upgraded. x/xorg-server-xephyr-1.20.9-x86_64-1.txz: Upgraded. x/xorg-server-xnest-1.20.9-x86_64-1.txz: Upgraded. x/xorg-server-xvfb-1.20.9-x86_64-1.txz: Upgraded. x/xorg-server-xwayland-1.20.9-x86_64-1.txz: Upgraded. xap/vim-gvim-8.2.1522-x86_64-1.txz: Upgraded. testing/packages/mozilla-thunderbird-78.2.0-x86_64-1.txz: Added. https://www.mozilla.org/en-US/thunderbird/78.2.0/releasenotes/ I'm putting this into /testing first so that any problems with OpenPGP can be reported before it goes into the main tree. Here's the current status from the release notes and Thunderbird:OpenPGP wiki page: Add-on support: As of version 78.0, Thunderbird only supports MailExtensions. Your favorite add-ons may not have been updated for compatibility. At this time, users of the Enigmail Add-on should not update to Thunderbird 78. OpenPGP in Thunderbird 78.2.0 has reached feature complete state, but it's still disabled by default, to allow more time for testing, correctness, and localization. See the wiki for how to enable and help with testing. If you use OpenPGP for non-critical purposes, then you are welcome to enable it manually and help with testing. To enable it in Thunderbird 78.0, use the config editor and change the value of preference mail.openpgp.enable to true, then restart Thunderbird. If you are running 78.x and have the previous Enigmail Add-on installed, then Enigmail will update to version 2.2.x, which is a minimal release that helps you to migrate the keys and settings to Thunderbird 78. If you haven't used Enigmail previously, you can enable OpenPGP for an email account in account settings. See the release notes for more complete information about testing and reporting bugs.
Diffstat (limited to 'testing/source/mozilla-thunderbird/autoconf/autoconf.build')
-rwxr-xr-xtesting/source/mozilla-thunderbird/autoconf/autoconf.build81
1 files changed, 81 insertions, 0 deletions
diff --git a/testing/source/mozilla-thunderbird/autoconf/autoconf.build b/testing/source/mozilla-thunderbird/autoconf/autoconf.build
new file mode 100755
index 000000000..7dae1bad1
--- /dev/null
+++ b/testing/source/mozilla-thunderbird/autoconf/autoconf.build
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Copyright 2005-2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=autoconf
+VERSION=2.13
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-autoconf
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf autoconf-$VERSION
+tar xvf $CWD/autoconf-$VERSION.tar.xz || exit 1
+cd autoconf-$VERSION
+
+zcat $CWD/autoconf-2.13-consolidated_fixes-1.patch.gz | patch -p1 --verbose || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Build a temporary copy of autoconf-2.13 only to be used to compile
+# Firefox, since it somewhat inexplicably requires this ancient version:
+
+rm -rf $TMP/autoconf-tmp
+mkdir -p $TMP/autoconf-tmp
+# This will be at the beginning of the $PATH, so protect against nonsense
+# happening in /tmp:
+chmod 700 $TMP/autoconf-tmp
+rm -rf $TMP/autoconf-tmp/*
+mkdir -p $TMP/autoconf-tmp/usr
+
+./configure \
+ --prefix=$TMP/autoconf-tmp/usr \
+ --program-suffix=-2.13 \
+ --infodir=$TMP/autoconf-tmp/usr/info \
+ --mandir=$TMP/autoconf-tmp/usr/man \
+ --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || make || exit 1
+make install || exit 1
+